SuperLU: Data Fields - Variables

SuperLU 5.2.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

- All
- Variables

- a
- c
- d
- e
- f
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- x

### - a -

- array : LU_stack_t

### - c -

- col_to_sup : SCformat , SCPformat
- colbeg : NCPformat
- colend : NCPformat
- colind : NRformat , NRformat_loc
- ColPerm : superlu_options_t
- colptr : NCformat
- ConditionNumber : superlu_options_t

### - d -

- degree : Colamd_Row_struct
- degree_next : Colamd_Col_struct
- DiagPivotThresh : superlu_options_t
- Dtype : SuperMatrix

### - e -

- Equil : superlu_options_t
- expanders : GlobalLU_t
- expansions : SuperLUStat_t

### - f -

- Fact : superlu_options_t
- first_column : Colamd_Row_struct
- for_lu : mem_usage_t
- fst_row : NRformat_loc

### - h -

- hash : Colamd_Col_struct
- hash_next : Colamd_Col_struct
- headhash : Colamd_Col_struct

### - i -

- i : complex , doublecomplex
- ILU_DropRule : superlu_options_t
- ILU_DropTol : superlu_options_t
- ILU_FillFactor : superlu_options_t
- ILU_FillTol : superlu_options_t
- ILU_MILU : superlu_options_t
- ILU_MILU_Dim : superlu_options_t
- ILU_Norm : superlu_options_t
- IterRefine : superlu_options_t

### - l -

- L : factors_t
- lda : DNformat
- length : Colamd_Col_struct , Colamd_Row_struct
- lookahead_etree : superlu_options_t
- lsub : GlobalLU_t
- lusup : GlobalLU_t

### - m -

- m_loc : NRformat_loc
- mark : Colamd_Row_struct
- mem : e_node
- MemModel : GlobalLU_t
- Mtype : SuperMatrix

### - n -

- n : GlobalLU_t
- ncol : SuperMatrix
- nnz : NCformat , NCPformat , NRformat , SCformat , SCPformat
- nnz_loc : NRformat_loc
- nnzL : superlu_options_t
- nnzU : superlu_options_t
- nrow : SuperMatrix
- nsuper : SCformat , SCPformat
- num_expansions : GlobalLU_t
- num_lookaheads : superlu_options_t
- nzlmax : GlobalLU_t
- nzlumax : GlobalLU_t
- nzumax : GlobalLU_t
- nzval : DNformat , NCformat , NCPformat , NRformat , NRformat_loc , SCformat , SCPformat
- nzval_colbeg : SCPformat
- nzval_colend : SCPformat
- nzval_colptr : SCformat

### - o -

- ops : SuperLUStat_t
- order : Colamd_Col_struct

### - p -

- p : Colamd_Row_struct
- panel_histo : SuperLUStat_t
- parent : Colamd_Col_struct
- ParSymbFact : superlu_options_t
- perm_c : factors_t
- perm_r : factors_t
- PivotGrowth : superlu_options_t
- prev : Colamd_Col_struct
- PrintStat : superlu_options_t

### - r -

- r : complex , doublecomplex
- RefineInitialized : superlu_options_t
- RefineSteps : SuperLUStat_t
- ReplaceTinyPivot : superlu_options_t
- rowind : NCformat , NCPformat , SCformat , SCPformat
- rowind_colbeg : SCPformat
- rowind_colend : SCPformat
- rowind_colptr : SCformat
- RowPerm : superlu_options_t
- rowptr : NRformat , NRformat_loc

### - s -

- score : Colamd_Col_struct
- shared1 : Colamd_Col_struct , Colamd_Row_struct
- shared2 : Colamd_Col_struct , Colamd_Row_struct
- shared3 : Colamd_Col_struct
- shared4 : Colamd_Col_struct
- size : e_node , LU_stack_t
- SolveInitialized : superlu_options_t
- stack : GlobalLU_t
- start : Colamd_Col_struct , Colamd_Row_struct
- Store : SuperMatrix
- Stype : SuperMatrix
- sup_to_col : SCformat
- sup_to_colbeg : SCPformat
- sup_to_colend : SCPformat
- supno : GlobalLU_t
- SymmetricMode : superlu_options_t
- SymPattern : superlu_options_t

### - t -

- thickness : Colamd_Col_struct
- TinyPivots : SuperLUStat_t
- top1 : LU_stack_t
- top2 : LU_stack_t
- total_needed : mem_usage_t
- Trans : superlu_options_t

### - u -

- U : factors_t
- ucol : GlobalLU_t
- used : LU_stack_t
- usub : GlobalLU_t
- utime : SuperLUStat_t

### - x -

- xlsub : GlobalLU_t
- xlusup : GlobalLU_t
- xsup : GlobalLU_t
- xusub : GlobalLU_t